class OriginalLicensesController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show, :new, :edit, :create, :update, :destroy]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /original_licenses
  # GET /original_licenses.json
  def index
    @original_licenses = OriginalLicense.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @original_licenses }
    end
  end

  # GET /original_licenses/1
  # GET /original_licenses/1.json
  def show
    @original_license = OriginalLicense.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @original_license }
    end
  end

  def list
    @original_licenses = OriginalLicense.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @original_licenses }
    end
  end

  def browse
    @original_license = OriginalLicense.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @original_license }
    end
  end

  # GET /original_licenses/new
  # GET /original_licenses/new.json
  def new
    @original_license = OriginalLicense.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @original_license }
    end
  end

  # GET /original_licenses/1/edit
  def edit
    @original_license = OriginalLicense.find(params[:id])
  end

  # POST /original_licenses
  # POST /original_licenses.json
  def create
    @original_license = OriginalLicense.new(params[:original_license])
    @original_license.artist_id = @author.artist.id
    respond_to do |format|
      if @original_license.save_save
        format.html { redirect_to @original_license, notice: 'Original license was successfully created.' }
        format.json { render json: @original_license, status: :created, location: @original_license }
      else
        format.html { render action: "new" }
        format.json { render json: @original_license.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /original_licenses/1
  # PUT /original_licenses/1.json
  def update
    @original_license = OriginalLicense.find(params[:id])

    respond_to do |format|
      if @original_license.update_attributes(params[:original_license])
        format.html { redirect_to @original_license, notice: 'Original license was successfully updated.' }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @original_license.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /original_licenses/1
  # DELETE /original_licenses/1.json
  def destroy
    @original_license = OriginalLicense.find(params[:id])
    @original_license.destroy

    respond_to do |format|
      format.html { redirect_to original_licenses_url }
      format.json { head :ok }
    end
  end
end
